com.intellectualcrafters.plot.uuid

## Class UUIDSaver

- java.lang.Object
- - com.intellectualcrafters.plot.uuid.UUIDSaver

- Direct Known Subclasses:
    PlotUUIDSaver

      public abstract class UUIDSaver
      extends java.lang.Object

  Created by Citymonstret on 2014-10-13.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDSaver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract UUIDSet` | `get(java.lang.String name)`
    `abstract UUIDSet` | `get(java.util.UUID uuid)`
    `abstract void` | `globalPopulate()`
    `abstract void` | `globalSave(com.google.common.collect.BiMap<StringWrapper,java.util.UUID> biMap)`
    `abstract java.lang.String` | `mojangName(java.util.UUID uuid)`
    `abstract java.util.UUID` | `mojangUUID(java.lang.String name)`
    `abstract void` | `save(UUIDSet set)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UUIDSaver

          public UUIDSaver()

  - ### Method Detail

    - #### globalPopulate

          public abstract void globalPopulate()

    - #### globalSave

          public abstract void globalSave(com.google.common.collect.BiMap<StringWrapper,java.util.UUID> biMap)

    - #### save

          public abstract void save(UUIDSet set)

    - #### get

          public abstract UUIDSet get(java.lang.String name)

    - #### get

          public abstract UUIDSet get(java.util.UUID uuid)

    - #### mojangUUID

          public abstract java.util.UUID mojangUUID(java.lang.String name)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### mojangName

          public abstract java.lang.String mojangName(java.util.UUID uuid)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`